package org.objectweb.fractal.bf.connectors.osgi.juliac.generated;

import org.objectweb.fractal.julia.Controller;
import org.objectweb.fractal.julia.loader.Generated;
import org.objectweb.fractal.julia.InitializationContext;
import org.objectweb.fractal.api.factory.InstantiationException;
import org.objectweb.fractal.api.control.NameController;

/** 
 * @see org.objectweb.fractal.julia.BasicControllerMixin
 * @see org.objectweb.fractal.julia.control.name.BasicNameControllerMixin
 */
public class NameControllerImpl implements NameController , Controller , Generated {
    /** 
     * The name of the component to which this controller object belongs.
     * @see org.objectweb.fractal.julia.control.name.BasicNameControllerMixin#name
     */
    public String name;
    
    /** 
     * @see org.objectweb.fractal.julia.control.name.BasicNameControllerMixin#getFcName()
     */
    public String getFcName() {
        return name;
    }
    
    /** 
     * Does nothing.
     * 
     * @param ic information about the component to which this controller object
     *      belongs.
     * @throws InstantiationException if the initialization fails.
     * @see org.objectweb.fractal.julia.BasicControllerMixin#initFcController(org.objectweb.fractal.julia.InitializationContext)
     */
    public void initFcController(final InitializationContext ic) throws InstantiationException {
    }
    
    /** 
     * @see org.objectweb.fractal.julia.control.name.BasicNameControllerMixin#setFcName(java.lang.String)
     */
    public void setFcName(final String name) {
        this.name = name;
    }
    
    public String getFcGeneratorParameters() {
        return "(org.objectweb.fractal.juliac.spoon.MixinClassGenerator org.objectweb.fractal.bf.connectors.osgi.juliac.generated.NameControllerImpl org.objectweb.fractal.julia.BasicControllerMixin org.objectweb.fractal.julia.control.name.BasicNameControllerMixin)";
    }
    
}

